package com.diagbot.dto;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @description: 推理出参《图谱返回数据》
 * @author: zhoutg
 * @time: 2020/8/17 15:34
 */
@Data
public class NeoPushDTO {
    private PushBaseDTO disease;//疾病医保名称
    private PushBaseDTO icd10;//疾病医保版icd-10
    private List<PushBaseDTO> symptoms;//症状
    private List<PushBaseDTO> vitals;//体征
    private List<PushBaseDTO> lis;//实验室检查
    private List<PushBaseDTO> pacs;//辅助检查
    /**
     * Map<String,List<NeoPushGeneralDTO>>
     *     operation:[  ]
     *     drug:[  ]
     */
    private Map<String,List<PushBaseDTO>> treat;//治疗
    private List<PushBaseDTO> diagnosticBasis;//诊断依据


}
